<template>
        <div class="loading-container">
          <Spinner :background="background"></Spinner>
        </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
import Spinner from "@/components/Spinner.vue";

@Component({
    components:{
        Spinner
    }
})
export default class SpinnerBackground extends Vue {
  @Prop({default: true}) readonly background!: boolean

}
</script>

<style scoped>
.loading-container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
</style>































